demo.state2 = function(){};
var barrel, bullets, velocity = 1000, nextFire = 0, fireRate = 200;

demo.state2.prototype = {
    preload: function(){
        game.load.image('base', 'assets/sprites/penis-cannon-base.png');
        game.load.image('barrel', 'assets/sprites/penis-barrel.png');
        game.load.image('bullet', 'assets/sprites/sperm.png');
    },
    create: function(){
        game.stage.backgroundColor = '#0066ff';
        addChangeStateEventListeners();

        bullets = game.add.group();
        bullets.enableBody = true;
        bullets.physicsBodyType = Phaser.Physics.ARCADE;
        bullets.createMultiple(50, 'bullet');

        bullets.setAll('checkWorldBounds', true);
        bullets.setAll('outOfBoundsKill', true);
        bullets.setAll('anchor.y', 0.5);
        bullets.setAll('scale.x', 0.85);
        bullets.setAll('scale.y', 0.85);

        var base = game.add.sprite(centerX, centerY, 'base');
        base.anchor.setTo(0.5);
        base.scale.setTo(0.4);

        barrel = game.add.sprite(centerX, centerY, 'barrel');
        barrel.anchor.setTo(0, 0.5);
        barrel.scale.setTo(0.5);
    },
    update: function(){
        barrel.rotation = game.physics.arcade.angleToPointer(barrel);
        if(game.input.activePointer.isDown) {
            this.fire();
        }
    },
    fire: function() {
        if (game.time.now > nextFire) {
            nextFire = game.time.now + fireRate;
            console.log('firing');
            var bullet = bullets.getFirstDead();
            bullet.reset(barrel.x, barrel.y);

            game.physics.arcade.moveToPointer(bullet, velocity);
            bullet.rotation = game.physics.arcade.angleToPointer(bullet);
        }
        
    }
}