var demo = {}, centerX = 1500/2, centerY = 1000/2, jorma, speed = 6;
demo.state0 = function(){};
demo.state0.prototype = {
    preload: function(){
        game.load.spritesheet('jorma','assets/spritesheets/penisSheet.png', 320, 320);
        game.load.image('beach','assets/backgrounds/beach.png');
    },
    create: function(){
        game.physics.startSystem(Phaser.Physics.ARCADE);
        game.stage.backgroundColor = '#ffcccc';
        addChangeStateEventListeners();
        game.world.setBounds(0, 0, 2875, 1000);
        game.scale.scaleMode = Phaser.ScaleManager.SHOW_ALL;

        var beach = game.add.sprite(0, 0, 'beach');

        jorma = game.add.sprite(centerX, centerY, 'jorma');
        jorma.anchor.setTo(0.5, 0.5);
        jorma.scale.setTo(0.5, 0.5);
        game.physics.enable(jorma);
        jorma.body.collideWorldBounds = true;
        jorma.animations.add('walk', [0,1,2]);

        game.camera.follow(jorma);
        game.camera.deadzone = new Phaser.Rectangle(centerX - 300, 0, 600, 1000);
    },
    update: function(){
        if (game.input.keyboard.isDown(Phaser.Keyboard.RIGHT)) {
            jorma.scale.setTo(0.5, 0.5);
            jorma.x += speed;
            jorma.animations.play('walk', 14, true);
        }
        else if (game.input.keyboard.isDown(Phaser.Keyboard.LEFT)) {
            jorma.scale.setTo(-0.5, 0.5);
            jorma.x -= speed;
            jorma.animations.play('walk', 14, true);
        }
        else {
            jorma.animations.stop('walk');
            jorma.frame = 0;
        }
        if (game.input.keyboard.isDown(Phaser.Keyboard.DOWN)) {
            jorma.y += speed;
        }
        else if (game.input.keyboard.isDown(Phaser.Keyboard.UP)) {
            jorma.y -= speed;
            if(jorma.y < 391){
                jorma.y = 391;
            }
        }
    }
}

function changeState(i, stateNum){
    console.log('state' + stateNum);
    game.state.start('state' + stateNum);
}

function addKeyCallback(key, fn, args){
    game.input.keyboard.addKey(key).onDown.add(fn, null, null, args);
}

function addChangeStateEventListeners(){
    addKeyCallback(Phaser.Keyboard.ZERO, changeState, 0);
    addKeyCallback(Phaser.Keyboard.ONE, changeState, 1);
    addKeyCallback(Phaser.Keyboard.TWO, changeState, 2);
    addKeyCallback(Phaser.Keyboard.THREE, changeState, 3);
    addKeyCallback(Phaser.Keyboard.FOUR, changeState, 4);
    addKeyCallback(Phaser.Keyboard.FIVE, changeState, 5);
    addKeyCallback(Phaser.Keyboard.SIX, changeState, 6);
    addKeyCallback(Phaser.Keyboard.SEVEN, changeState, 7);
    addKeyCallback(Phaser.Keyboard.EIGHT, changeState, 8);
    addKeyCallback(Phaser.Keyboard.NINE, changeState, 9);
}